diff -r -U 2 -p a/js/src/configure b/js/src/configure
--- a/js/src/configure	2011-10-14 18:27:00.000000000 -0400
+++ b/js/src/configure	2011-10-14 18:37:07.264794994 -0400
@@ -10741,5 +10741,5 @@ _SAVE_CFLAGS="$CFLAGS"
 if test "$GNU_CC"; then
   # gcc needs -mfpu=neon to recognize NEON instructions
-  CFLAGS="$CFLAGS -mfpu=neon -mfloat-abi=softfp"
+  CFLAGS="$CFLAGS -mfpu=neon"
 fi
 cat > conftest.$ac_ext <<EOF
@@ -13407,7 +13407,7 @@ EOF
 EOF
 
-        CFLAGS="$CFLAGS -march=armv7-a -mthumb -mfloat-abi=softfp $MOZ_ARM_VFP_FLAGS"
-        CXXFLAGS="$CXXFLAGS -march=armv7-a -mthumb -mfloat-abi=softfp $MOZ_ARM_VFP_FLAGS"
-        ASFLAGS="$ASFLAGS -march=armv7-a -mthumb -mfloat-abi=softfp $MOZ_ARM_VFP_FLAGS"
+        CFLAGS="$CFLAGS -mthumb $MOZ_ARM_VFP_FLAGS"
+        CXXFLAGS="$CXXFLAGS -mthumb $MOZ_ARM_VFP_FLAGS"
+        ASFLAGS="$ASFLAGS -mthumb $MOZ_ARM_VFP_FLAGS"
       else
         { echo "configure: error: --enable-thumb2 is not supported for non-GNU toolchains" 1>&2; exit 1; }
@@ -13426,7 +13426,7 @@ elif test "$MOZ_ARM_ARCH" = "armv7"; the
 EOF
 
-        CFLAGS="$CFLAGS -march=armv7-a -marm -mfloat-abi=softfp $MOZ_ARM_VFP_FLAGS"
-        CXXFLAGS="$CXXFLAGS -march=armv7-a -marm -mfloat-abi=softfp $MOZ_ARM_VFP_FLAGS"
-        ASFLAGS="$ASFLAGS -march=armv7-a -marm -mfloat-abi=softfp $MOZ_ARM_VFP_FLAGS"
+        CFLAGS="$CFLAGS $MOZ_ARM_VFP_FLAGS"
+        CXXFLAGS="$CXXFLAGS $MOZ_ARM_VFP_FLAGS"
+        ASFLAGS="$ASFLAGS $MOZ_ARM_VFP_FLAGS"
       else
         { echo "configure: error: --with-cpu-arch=armv7 is not supported for non-GNU toolchains" 1>&2; exit 1; }
diff -r -U 2 -p a/js/src/configure.in b/js/src/configure.in
--- a/js/src/configure.in	2011-03-31 15:08:36.000000000 -0400
+++ b/js/src/configure.in	2011-10-14 18:37:40.496180956 -0400
@@ -3551,5 +3551,5 @@ _SAVE_CFLAGS="$CFLAGS"
 if test "$GNU_CC"; then
   # gcc needs -mfpu=neon to recognize NEON instructions
-  CFLAGS="$CFLAGS -mfpu=neon -mfloat-abi=softfp"
+  CFLAGS="$CFLAGS -mfpu=neon"
 fi
 AC_TRY_COMPILE([],
@@ -4688,7 +4688,7 @@ if test -n "$MOZ_THUMB2"; then
         AC_DEFINE(MOZ_THUMB2)
         AC_DEFINE(MOZ_ARM_ARCH)
-        CFLAGS="$CFLAGS -march=armv7-a -mthumb -mfloat-abi=softfp $MOZ_ARM_VFP_FLAGS"
-        CXXFLAGS="$CXXFLAGS -march=armv7-a -mthumb -mfloat-abi=softfp $MOZ_ARM_VFP_FLAGS"
-        ASFLAGS="$ASFLAGS -march=armv7-a -mthumb -mfloat-abi=softfp $MOZ_ARM_VFP_FLAGS"
+        CFLAGS="$CFLAGS -mthumb $MOZ_ARM_VFP_FLAGS"
+        CXXFLAGS="$CXXFLAGS -mthumb $MOZ_ARM_VFP_FLAGS"
+        ASFLAGS="$ASFLAGS -mthumb $MOZ_ARM_VFP_FLAGS"
       else
         AC_MSG_ERROR([--enable-thumb2 is not supported for non-GNU toolchains])
@@ -4704,7 +4704,7 @@ elif test "$MOZ_ARM_ARCH" = "armv7"; the
       if test "$GNU_CC"; then
         AC_DEFINE(MOZ_ARM_ARCH)
-        CFLAGS="$CFLAGS -march=armv7-a -marm -mfloat-abi=softfp $MOZ_ARM_VFP_FLAGS"
-        CXXFLAGS="$CXXFLAGS -march=armv7-a -marm -mfloat-abi=softfp $MOZ_ARM_VFP_FLAGS"
-        ASFLAGS="$ASFLAGS -march=armv7-a -marm -mfloat-abi=softfp $MOZ_ARM_VFP_FLAGS"
+        CFLAGS="$CFLAGS $MOZ_ARM_VFP_FLAGS"
+        CXXFLAGS="$CXXFLAGS $MOZ_ARM_VFP_FLAGS"
+        ASFLAGS="$ASFLAGS $MOZ_ARM_VFP_FLAGS"
       else
         AC_MSG_ERROR([--with-cpu-arch=armv7 is not supported for non-GNU toolchains])

